Name: briquolo
Version: 0.4.2
Release: alt3

Group: Games/Arcade
Summary: OpenGL-based 3D breakout.
License: GPL
Url: http://briquolo.free.fr/download/briquolo-0.4.2.tar.bz2

Source0: %{name}-%version.tar.bz2
Source1: briquolo.16.png
Source2: briquolo.32.png
Source3: briquolo.48.png

BuildRequires: XFree86-devel XFree86-libs gcc-c++ libSDL-devel libSDL_mixer-devel libpng-devel gettext libGLU-devel 

%description
BRIQUOLO is a breakout with 3D representation based on OpenGL.

%prep
%setup -q -n %{name}-%version

%build
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir
%make_build

%install
%make_install install DESTDIR=%buildroot
mv %buildroot/%_gamesdatadir/locale %buildroot/%_datadir/

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(briquolo): \
    title="Briquolo" \
    section="Games/Arcade" \
    command="soundwrapper %_gamesbindir/%name" \
    needs="x11" \
    icon="%name.png" \
    longtitle="OpenGL-based breakout"
EOF

mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_liconsdir/%name.png

%post
%update_menus
%postun
%clean_menus

%files
%_gamesbindir/*
%_datadir/locale
%_menudir/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png
%_gamesdatadir/%name
%doc README*

%changelog
* Mon May 10 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.2-alt3
- glibc 2.3
- summary fixed

* Mon Feb 02 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.2-alt2
- binary file moved to games
- fr, nl locales added
- spec cleanup

* Mon Jan 26 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.2-alt1
- ALT adaptions.


